Last Comment Bug 846762 - Inconsistent close behaviour of private windows
: Inconsistent close behaviour of private windows
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.19
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 837492
Blocks: 460895
  Show dependency treegraph
 
Reported: 2013-03-01 07:21 PST by neil@parkwaycc.co.uk
Modified: 2013-03-09 07:32 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Proposed patch (1.35 KB, patch)
2013-03-01 14:01 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: review+
iann_bugzilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-03-01 07:21:09 PST
Private Windows close without prompting if there are no normal browser windows open, but if there is a browser window open, then the private window prompts as if it was a browser window.

According to bug 844561, Private Windows should never prompt.
Comment 1 neil@parkwaycc.co.uk 2013-03-01 14:01:32 PST
Created attachment 720123 [details] [diff] [review]
Proposed patch

I'm assuming that we still need to honour unbeforeunload.
Comment 2 neil@parkwaycc.co.uk 2013-03-01 14:02:00 PST
I mean onbeforeunload. I typed it right the first two times when Bugzilla errored out on me :-(
Comment 3 Ian Neal 2013-03-02 12:17:18 PST
(In reply to neil@parkwaycc.co.uk from comment #2)
> I mean onbeforeunload. I typed it right the first two times when Bugzilla
> errored out on me :-(

I cannot see where we listener for "beforeunload" in the suite.
Comment 4 neil@parkwaycc.co.uk 2013-03-02 15:06:22 PST
(In reply to Ian Neal from comment #3)
> (In reply to comment #2)
> > I mean onbeforeunload. I typed it right the first two times when Bugzilla
> > errored out on me :-(
> 
> I cannot see where we listener for "beforeunload" in the suite.

We don't listen for it, pages do. We send it by means of the permitUnload call near the end of WindowIsClosing().
Comment 5 neil@parkwaycc.co.uk 2013-03-06 17:02:03 PST
Pushed comm-central changeset 70b7a4895fb3.
Comment 6 neil@parkwaycc.co.uk 2013-03-06 17:03:33 PST
Comment on attachment 720123 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: Unexpected prompt to close private windows
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 7 Philip Chee 2013-03-07 08:01:51 PST
Comment on attachment 720123 [details] [diff] [review]
Proposed patch

ex post facto r=me :P

> +  if (!gPrivate && !/Mac/.test(navigator.platform) && isClosingLastBrowser()) {
Too late to mention this but could have changed this to:
!navigator.platform.contains("Mac");
Comment 8 neil@parkwaycc.co.uk 2013-03-09 07:32:24 PST
Pushed comm-aurora changeset 709c8c3e914b.

Note You need to log in before you can comment on or make changes to this bug.